# coding: utf-8
# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'direct_api/version'

Gem::Specification.new do |spec|
  spec.name          = 'direct_api'
  spec.version       = DirectApi::VERSION
  spec.authors       = ['Gennady Novoselov']
  spec.email         = ['gennady@novoselov.biz']
  spec.summary       = 'Yandex Direct api via oauth2'
  spec.description   = 'Yandex Direct api via oauth2'
  spec.homepage      = 'https://github.com/gnovoselov/direct-api'
  spec.license       = 'MIT'

  spec.files         = Dir['**/*']
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'json', '~> 2.0', '>= 2.0.0'
  spec.add_runtime_dependency 'rest-client', '~> 2.0', '>= 2.0.0'

  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake', '~> 12.3.0', '>= 12.3.0'
end
